#pragma once

// CNamespace
class CNamespace : public CObject {
public:
	CNamespace();
	virtual ~CNamespace();
	DECLARE_DYNAMIC(CNamespace);

public:
	virtual void Serialize(CArchive& ar);

public:
	INT_PTR GetSize() const;
	CString GetStringByIndex(INT_PTR nIndex) const;
	ULONG GetOffsetByIndex(INT_PTR nIndex) const;

	void Dump(CArchive& ar);

public:
	CString operator [] (ULONG ulOffset) const;

private:
	// CMapDWordToString
	typedef CMap<DWORD, DWORD, CString, LPCTSTR> CMapDWordToString;

	CMapDWordToString m_Map;
	CDWordArray m_Order;
};
